# Generated by Django 3.1 on 2021-05-03 23:08

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('store', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Image',
            fields=[
                ('id_pk', models.AutoField(primary_key=True, serialize=False)),
                ('format', models.CharField(max_length=4)),
                ('product_id', models.CharField(max_length=64)),
                ('menu_id', models.CharField(max_length=64)),
                ('image_byte', models.BinaryField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='Menu',
            fields=[
                ('menu_id', models.CharField(max_length=64, primary_key=True, serialize=False)),
                ('transaction_id', models.CharField(max_length=64, null=True)),
                ('status', models.CharField(choices=[('SUCCESS', 'SUCCESS'), ('PROCESSING', 'PROCESSING'), ('FETCH_MENU_INVALID_PAYLOAD', 'FETCH_MENU_INVALID_PAYLOAD'), ('FETCH_MENU_SERVER_ERROR', 'FETCH_MENU_SERVER_ERROR'), ('FETCH_MENU_UNAUTHORIZED', 'FETCH_MENU_UNAUTHORIZED'), ('GLOVO_ERROR', 'GLOVO_ERROR'), ('SENT', 'SENT'), ('AVAILABLE', 'AVAILABLE'), ('UNAVAILABLE', 'UNAVAILABLE')], max_length=30)),
                ('status_pixel', models.PositiveIntegerField()),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('menu_json', models.JSONField()),
                ('agregattor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='store.aggregator')),
                ('store', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='store.store')),
            ],
        ),
        migrations.CreateModel(
            name='ProductMenu',
            fields=[
                ('id_pk', models.AutoField(primary_key=True, serialize=False)),
                ('id', models.CharField(max_length=64, null=True)),
                ('name', models.CharField(max_length=64)),
                ('price', models.CharField(max_length=32)),
                ('image_url', models.CharField(blank=True, max_length=255, null=True)),
                ('description', models.CharField(blank=True, max_length=1024, null=True)),
                ('available', models.BooleanField(null=True)),
                ('rappi_ids', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=64), null=True, size=None)),
                ('sku', models.CharField(blank=True, max_length=64, null=True)),
                ('stock', models.CharField(blank=True, max_length=64, null=True)),
                ('sorting_position', models.IntegerField(null=True)),
                ('type', models.CharField(blank=True, max_length=64, null=True)),
                ('max_limit', models.PositiveIntegerField(null=True)),
                ('menu', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='menu.menu')),
            ],
        ),
    ]
